Reconcile bank payments to statement transactions Run in API Explorer
Ask AI
POST
/api/v1/bank-transaction/reconcile
curl \
--request POST 'https://api.plannrcrm.com/api/v1/bank-transaction/reconcile' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"provider_statement_uuid": "94220415-7b45-447e-9190-fd58d93ebead",
"statement_transactions": [
"747b0d91-b6ed-4c10-a6d0-7cb3e5241f67",
"55a7f064-ccc9-473b-a2db-c2845dd13589",
"f6006ac1-2eb2-41dd-abb1-514f8b682b13"
],
"bank_transactions": [
"be11b5be-24b6-4063-8e62-1f501c939bc1",
"d596c4c7-4fe7-4ca2-b01f-1e58dc464b19",
"9dca7d2e-d9ea-46ff-9d2f-5a3ffb369012"
]
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"provider_statement_uuid": "94220415-7b45-447e-9190-fd58d93ebead",
"statement_transactions": [
"747b0d91-b6ed-4c10-a6d0-7cb3e5241f67",
"55a7f064-ccc9-473b-a2db-c2845dd13589",
"f6006ac1-2eb2-41dd-abb1-514f8b682b13"
],
"bank_transactions": [
"be11b5be-24b6-4063-8e62-1f501c939bc1",
"d596c4c7-4fe7-4ca2-b01f-1e58dc464b19",
"9dca7d2e-d9ea-46ff-9d2f-5a3ffb369012"
]
}
Response examples (401)
{
"message": "Unauthenticated."
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}